Index: channels/chan_iax2.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_iax2.c,v
retrieving revision 1.109
diff -u -r1.109 chan_iax2.c
--- channels/chan_iax2.c	19 Mar 2004 08:16:19 -0000	1.109
+++ channels/chan_iax2.c	19 Mar 2004 14:59:09 -0000
@@ -2215,7 +2215,7 @@
 static struct ast_frame *iax2_read(struct ast_channel *c) 
 {
 	static struct ast_frame f = { AST_FRAME_NULL, };
-	ast_log(LOG_NOTICE, "I should never be called!\n");
+	ast_log(LOG_NOTICE, "iax2_read: I should never be called!\n");
 	return &f;
 }
 
@@ -2797,15 +2797,22 @@
 
 static int iax2_show_users(int fd, int argc, char *argv[])
 {
-#define FORMAT "%-15.15s  %-15.15s  %-15.15s  %-15.15s  %-5.5s\n"
-#define FORMAT2 "%-15.15s  %-15.15s  %-15.15d  %-15.15s  %-5.5s\n"
+#define FORMAT "%-15.15s  %-20.20s  %-15.15s  %-15.15s  %-5.5s\n"
+#define FORMAT2 "%-15.15s  %-20.20s  %-15.15d  %-15.15s  %-5.5s\n"
 	struct iax2_user *user;
+	char auth[90];
 	if (argc != 3) 
 		return RESULT_SHOWUSAGE;
 	ast_mutex_lock(&userl.lock);
 	ast_cli(fd, FORMAT, "Username", "Secret", "Authen", "Def.Context", "A/C");
 	for(user=userl.users;user;user=user->next) {
-		ast_cli(fd, FORMAT2, user->name, user->secret, user->authmethods, 
+		if (strlen(user->secret)) {
+  			strncpy(auth,user->secret,strlen(auth)-1);
+		} else if (strlen(user->inkeys)) {
+  			sprintf(auth,"Key: %-15.15s ",user->inkeys);
+ 		} else
+			strcpy(auth,"-no secret-");
+		ast_cli(fd, FORMAT2, user->name, auth, user->authmethods, 
 				user->contexts ? user->contexts->context : context,
 				user->ha ? "Yes" : "No");
 	}
@@ -5053,7 +5060,7 @@
 					if (authdebug)
 						ast_log(LOG_NOTICE, "Host %s failed to authenticate as %s\n", inet_ntoa(iaxs[fr.callno]->addr.sin_addr), iaxs[fr.callno]->username);
 					memset(&ied0, 0, sizeof(ied0));
-					iax_ie_append_str(&ied0, IAX_IE_CAUSE, "No authority found");
+					iax_ie_append_str(&ied0, IAX_IE_CAUSE, "Authentication failed. Check credentials or user name.");
 					send_command_final(iaxs[fr.callno], AST_FRAME_IAX, IAX_COMMAND_REJECT, 0, ied0.buf, ied0.pos, -1);
 					break;
 				}
